---
AWSTemplateFormatVersion: '2010-09-09'
Description: Creates ECS AWX Repositories

Resources:
##########################################################################
#
# ECR Repo
#
##########################################################################
{% for repo in aws_ecs_awx_params.repositories %}
  ECR{{ repo }}:
    Type: AWS::ECR::Repository
    Properties:
      RepositoryName: awx/{{ repo }}
      RepositoryPolicyText:
        Version: "2012-10-17"
        Statement:
          -
            Sid: AllowPushPull
            Effect: Allow
            Principal:
              AWS:
                - !Sub "arn:aws:iam::${AWS::AccountId}:root"
            Action:
              - "ecr:GetDownloadUrlForLayer"
              - "ecr:BatchGetImage"
              - "ecr:BatchCheckLayerAvailability"
              - "ecr:PutImage"
              - "ecr:InitiateLayerUpload"
              - "ecr:UploadLayerPart"
              - "ecr:CompleteLayerUpload"
{% endfor %}
